<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useHandleFilesUpload](./react.usehandlefilesupload.md)

## useHandleFilesUpload() function

<b>Signature:</b>

```typescript
export declare function useHandleFilesUpload(acceptedFileTypes: string[], handleCollection?: (fileCollection: FileCollection) => void): () => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  acceptedFileTypes | string\[\] |  |
|  handleCollection | (fileCollection: FileCollection) =&gt; void | <i>(Optional)</i> |

<b>Returns:</b>

() =&gt; void

